* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  }
  
  @font-face { 
    font-family: "OldLondon"; 
    src: url("./OldLondon.woff"); 
  } 
  
  html, body {
  font-family: 'OldLondon', sans-serif;
  font-weight: 100;
  background-color: #1F1912;
  width: 100%;
  height: 100%;
  text-rendering: optimizeLegibility;
  overflow-x: hidden; /* Prevent horizontal scrolling */
  
  }
  
  .no-scroll {
  overflow: hidden;
  position: fixed;
  width: 100%;
  }
  
  
  a {
  text-decoration: none;
  color: inherit;
  }
  
  .menu-bg {
  background: grey;
  color: white;
  }
  
  #hamburger {
  height: 40px;
  width: 40px;
  cursor: pointer;
  z-index: 9999;
  position: absolute;
  top: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  }
  
  #hamburger .line {
  width: 30px;
  height: 4px;
  background: grey;
  border-radius: 2px;
  transition: transform 0.2s ease, opacity 0.2s ease;
  }
  
  #hamburger.close .line:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
  }
  
  #hamburger.close .line:nth-child(2) {
  opacity: 0;
  }
  
  #hamburger.close .line:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
  }
  
  
  #nav.visible {
  width: 100vw;
  }
  
  
  .content {
  text-align: center;
  position: relative;
  z-index: 2;
  height: 50vh;
  width: 100%;
  position: absolute;
  top: 0;
  margin-top:20px;
  }
  
  /* H1 Title Styles */
  .random {
  color: #eee;
  opacity: 1;
  display: inline-block;
  font-size: 4rem;
  font-weight: 100;
  cursor: pointer;
  margin-top: 10vh;
  z-index: 1;
  }
  
  @keyframes flip {
  0% {
  transform: rotateY(0deg);
  }
  100% {
  transform: rotateY(180deg);
  }
  }
  
  .mirror {
  font-size: 24px; /* Adjust the font size as needed */
  display: inline-block;
  transform-style: preserve-3d; /* Enable 3D transforms */
  animation: flip 1s ease-in-out; /* Apply the animation */
  }
  
  /* Styles for mobile devices */
  @media screen and (max-width: 768px) {
  /* Show mobile version icons and links on mobile */
  .mobile-icon {
  display: inline-block;
  width: auto; /* Adjust width for icons */
  }
  
  /* Hide desktop version links on mobile */
  .desktop-link {
  display: none;
  }
  
  /* Styles for mobile version links */
  .item-link {
  font-size: 16px;
  color: #7F7F7F;
  text-decoration: none;
  transition: .3s ease-out all;
  display: block;
  margin: 20px; /* Adjust margin as needed */
  }
  
  .item-link:focus {
  outline: none;
  }
  
  .item-link:hover {
  color: #eee; /* Change link color on hover */
  cursor: pointer;
  }
  
  /* Remove underline from links on mobile */
  .item-link::after {
  display: none;
  }
  /* Style for ul inside div.social */
  .social {
  color: white;
  height: 10rem;
  position: absolute; /* Set to fixed position for clipping to the bottom */
  bottom: 0;
  width: 100%; /* Ensure it spans the entire width */
  left: 0; /* Position at the left edge */
  background-color: #1F1912; /* Match the background color */
  display: flex; /* Use flexbox to center the items horizontally */
  justify-content: center; /* Center items horizontally */
  align-items: center; /* Center items vertically */
  z-index: 1; /* Ensure it's above other content */
  ;
  }
  .social-active {
  color: black;
  }
  
  .social ul {
  list-style: none;
  padding: 0;
  text-align: center;
  }
  
  /* Set a wider width for the ul list */
  .social ul {
  width: 80%; /* Adjust the width as needed */
  margin: 0 auto; /* Center the ul horizontally */
  }
  /* hamburger menu */
  
  nav {
  height: 100vh;
  width: 100vw;
  z-index: 1;
  }
  
  #menuToggle {
  display: block;
  position: absolute;
  top: 50px;
  right: 10px;
  width: 10vw;
  margin-right: 40px;
  z-index: 999;
  -webkit-user-select: none;
  user-select: none;
  }
  
  #menuToggle a {
  text-decoration: none;
  color: #232323;
  transition: color 0.3s ease;
  
  }
  
  #menuToggle a:hover {
  color: tomato;
  }
  
  #menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  cursor: pointer;
  opacity: 0; /* hide this */
  z-index: 2; /* and place it over the hamburger */
  -webkit-touch-callout: none;
  }
  
  #menuToggle span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  background: #cdcdcd;
  border-radius: 3px;
  z-index: 1;
  transform-origin: 4px 0px;
  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0), background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0), opacity 0.55s ease;
  }
  
  #menuToggle span:first-child {
  transform-origin: 0% 0%;
  }
  
  #menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
  }
  
  #menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #232323;
  }
  
  #menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
  }
  
  #menuToggle input:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg) translate(0, -1px);
  }
  
  #menu {
  display: flex;
  flex-direction: column; /* Stack menu items vertically */
  justify-content: center; /* Vertically center items */
  align-items: center; /* Horizontally center items */
  position: fixed; /* Use fixed position */
  top: 0;
  right: 0; /* Start from the right edge of the screen */
  width: 100%; /* Set width to 100% */
  height: 100vh; /* Set height to cover the entire viewport */
  background: #ededed;
  opacity: 0.6;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  transform: translateX(100%); /* Slide in from the right */
  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0);
  text-align: center;
  
  }
  
  #menu li {
  padding: 10px 0;
  font-size: 25px;
  color: black;
  width: 40vw;
  border: 2px solid white;
  margin-top: 25px;
  text-align: center;
  
  }
  
  #menuToggle input:checked ~ ul {
  transform: none;
  }
  
  }
  
  /* Styles for desktop devices (screens larger than 768px) */
  @media screen and (min-width: 769px) {
  /* H1 Title Styles */
  .random {
  color: #eee;
  opacity: 1;    display: inline-block;
  font-size: 4rem;
  font-weight: 100;
  cursor: pointer;
  z-index: 1;
  }
  
  /* Hide mobile version icons and links on desktop */
  .mobile-icon {
  display: none;
  }
  
  /* Styles for desktop version links */
  .desktop-link {
  font-size: 24px; /* Adjust font size for desktop links */
  color: #ffffff;
  text-decoration: none;
  transition: .3s ease-out all;
  display: inline-block; /* Display links inline on desktop */
  margin: 0 20px; /* Add spacing between desktop links */
  }
  
  .desktop-link:focus {
  outline: none;
  }
  
  .desktop-link:hover {
  color: #eee; /* Change link color on hover */
  cursor: pointer;
  }
  
  /* Remove underline from links on desktop */
  .desktop-link::after {
  display: none;
  }
  /* Style for ul inside div.social */
  .social {
  color: white;
  height: 10rem;
  position: absolute; /* Set to fixed position for clipping to the bottom */
  bottom: 0;
  width: 100%; /* Ensure it spans the entire width */
  left: 0; /* Position at the left edge */
  background-color: #1F1912; /* Match the background color */
  display: flex; /* Use flexbox to center the items horizontally */
  justify-content: center; /* Center items horizontally */
  align-items: center; /* Center items vertically */
  z-index: 1; /* Ensure it's above other content */
  ;
  }
  .social-active {
  color: black;
  }
  
  .social ul {
  list-style: none;
  padding: 0;
  text-align: center;
  }
  
  /* Set a wider width for the ul list */
  .social ul {
  width: 80%; /* Adjust the width as needed */
  margin: 0 auto; /* Center the ul horizontally */
  }
  /* hamburger menu */
  
  nav {
  height: 100vh;
  width: 100vw;
  z-index: 1;
  }
  
  #menuToggle {
  display: block;
  position: absolute;
  top: 50px;
  right: -50px;
  width: 10vw;
  margin-right: 40px;
  z-index: 999;
  -webkit-user-select: none;
  user-select: none;
  }
  
  #menuToggle a {
  text-decoration: none;
  color: #232323;
  transition: color 0.3s ease;
  
  }
  
  #menuToggle a:hover {
  color: tomato;
  }
  
  #menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  cursor: pointer;
  opacity: 0; /* hide this */
  z-index: 2; /* and place it over the hamburger */
  -webkit-touch-callout: none;
  }
  
  #menuToggle span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  background: #cdcdcd;
  border-radius: 3px;
  z-index: 1;
  transform-origin: 4px 0px;
  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0), background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0), opacity 0.55s ease;
  }
  
  #menuToggle span:first-child {
  transform-origin: 0% 0%;
  }
  
  #menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
  }
  
  #menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #232323;
  }
  
  #menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
  }
  
  #menuToggle input:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg) translate(0, -1px);
  }
  
  #menu {
  display: flex;
  flex-direction: column; /* Stack menu items vertically */
  justify-content: center; /* Vertically center items */
  align-items: center; /* Horizontally center items */
  position: fixed; /* Use fixed position */
  top: 0;
  right: 0; /* Start from the right edge of the screen */
  width: 100%; /* Set width to 100% */
  height: 100vh; /* Set height to cover the entire viewport */
  background: #ededed;
  opacity: 0.6;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  transform: translateX(100%); /* Slide in from the right */
  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0);
  text-align: center;
  
  }
  
  #menu li {
  padding: 10px 0;
  font-size: 25px;
  color: black;
  width: 40vw;
  border: 2px solid white;
  margin-top: 25px;
  text-align: center;
  
  }
  
  #menuToggle input:checked ~ ul {
  transform: none;
  }
  
  }
  
  
  